********************************************************************************
************************ Simple regression check *******************************
*********************the drop in R&D and centrality ****************************

cd "/Users/zhuwu/Dropbox/Wu_Yang/Progress"


clear all
import delimited using "Rec01_QuarterPRC_sic.csv",varnames(1)
gen year = 2001
save temp1.dta,replace


clear all 
import delimited using "Rec08_QuarterPRC_sic.csv",varnames(1)
gen year = 2008
append using temp1.dta
save temp1.dta,replace




clear all
import delimited using "/Users/zhuwu/Dropbox/Wu_Yang/data/network_measures/centrality_5_year_window_by_sic.csv",varnames(1)
keep if year == 2000|year == 2007
ren name sic_major 
replace year = year + 1 
merge  1:1 sic_major year using temp1.dta
keep if _merge == 3 
drop _merge
save final_01_08.dta,replace
erase temp1.dta

*** merge R&D data

clear all
import delimited using "Rec01_QuarterRD_sic.csv",varnames(1)
gen year = 2001
save temp1.dta,replace

clear all
import delimited using "Rec08_QuarterRD_sic.csv",varnames(1)
gen year = 2008
append using temp1.dta

merge 1:1 sic_major year using final_01_08.dta
keep if _merge == 2|_merge ==3 
drop _merge
save final_01_08.dta,replace
erase temp1.dta

use final_01_08.dta,clear
gsort sic_major year 
gen crisis08 = (year==2008)
egen eigen_xt5 = xtile(eigen),by(year) p(20(20)80)


gen weight = int(xrdq_start)
gen log_weight = int(log(xrdq_start+1)) 

reg xrdq_sic_pctchange i.eigen_xt5 i.eigen_xt5#c.crisis08 [fweight = weight],robust
est store m1

reg xrdq_sic_pctchange i.eigen_xt5 i.eigen_xt5#c.crisis08 [fweight = log_weight],robust
est store m2

reg xrdq_sic_pctchange i.eigen_xt5 i.eigen_xt5#c.crisis08 [fweight = company_counts],robust
est store m3
outreg2 [m1 m2 m3] using "reg_rd_chk_wz.doc",replace ///
title("reg_rd_chk_wz") label

reg prccq_sic_pctchange i.eigen_xt5 i.eigen_xt5#c.crisis08 ,robust
est store m1

reg xrdq_sic_pctchange i.eigen_xt5 i.eigen_xt5#c.crisis08 [fweight = company_counts],robust
est store m2
outreg2 [m1 m2] using "reg_prc_chk_wz.doc",replace ///
title("reg_prc_chk_wz") label











